Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

I just had a message from Ruby saying

C:\Users\ndx>gem install awestruct
Fetching: hpricot-0.8.6.gem (100%)
ERROR:  Error installing awestruct:
        The 'hpricot' native gem requires installed build tools.

Please update your PATH to include build tools or download the DevKit
from 'http://rubyinstaller.org/downloads' and follow the instructions
at 'http://github.com/oneclick/rubyinstaller/wiki/Development-Kit'

Why aren't those URLs clickable ? (would be way cool to have such a feature in terminal).

share|improve this question

2 Answers 2

Hold LeftCtrl and click them.

Look for "Highlight & goto" option on "Controls" page ("Mark & Paste" in old stable release).

share|improve this answer
    
I was thinking so because they were not highlighted, even when hoverring on them (but I must confess I was quite sure they would be, given the quality of Conemu). –  Riduidel Jan 11 '13 at 8:59
    
Thought, Ctrl+Click is often used in misc programs for hyperlinks. And url "detecting" on each mouse move (without Ctrl) will be redundant. Thats why "LeftCtrl" is set be default. But user may change or remove "key-modifier". –  Maximus Jan 11 '13 at 13:35

Quoting the "credits" link contents partially

ConEmu can highlight hyperlinks (e.g. http://www.farmanager.com) and compiler errors (e.g. FarCtrl.pas(1002,49) Error: Identifier not found...).

Turn on checkbox «Highlight and goto» and choose appropriate modifier (e.g. «Left Ctrl») on the TextSelection page. So, when you hold selected modifier (e.g. «Left Ctrl») ConEmu will underlines hyperlinks/errors detected under mouse cursor. LeftClick (with modifier) will open it:

hyperlinks - in the default browser

e-mails - in the default Mail program

compiler errors - in the Far editor, positioned on row and column of the error

Credits

share|improve this answer
    
That TextSelection page is available on which Conemu version ? I'm using latest stable (120916) and can't find that option. –  Riduidel Jan 11 '13 at 9:03
    
Current 'stable' is 120727c. So, x916 is alpha, not stable and not latest. Option located on 'Mark & Paste' page (regardless of version). –  Maximus Jan 11 '13 at 9:56
    
@Maximus then how can I have used that version (I'm really puzzled as I don't remember having downloaded an alpha version) ? –  Riduidel Jan 11 '13 at 15:36
    
I can't suggest where and what version you have downloaded ;) –  Maximus Jan 11 '13 at 16:00

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.